Bug 7687 - Remove problematic CSS gradient declarations targeting Internet Explorer
Summary: Remove problematic CSS gradient declarations targeting Internet Explorer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Browser compatibility (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-08 20:27 UTC by Owen Leonard
Modified: 2013-05-23 06:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7687 - Remove problematic CSS gradient declarations targeting Internet Explorer (7.78 KB, patch)
2012-10-30 18:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7687 - Remove problematic CSS gradient declarations targeting Internet Explorer (7.89 KB, patch)
2012-11-09 02:06 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7687 - Remove problematic CSS gradient declarations targeting Internet Explorer (7.94 KB, patch)
2012-11-29 17:00 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-03-08 20:27:49 UTC
Compatibility of CSS gradients in Internet Explorer is looking worse than I expected. I propose to remove the gradient from these elements in favor of a solid background:

- Cart and Lists buttons : Applying a background gradient to these elements
  causes the background to "bleed" out of the rounded corners in IE9 creating
  an ugly halo.

- Lists menu and patron menu items : These elements use gradients which in
  standards-compliant browsers accept several "steps" (color 1 blended with
  color 2 blended with color 3). IE only understands two colors. Better
  to have a solid background than the inferior fallback IE ends up with.
Comment 1 Owen Leonard 2012-10-30 18:17:39 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-11-09 02:06:55 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2012-11-29 16:59:46 UTC
QA comment
 * css only small patch
 * don't break anything on FF afaics

passed QA
Comment 4 Paul Poulain 2012-11-29 17:00:08 UTC
Created attachment 13779 [details] [review]
Bug 7687 - Remove problematic CSS gradient declarations targeting Internet Explorer

Removing and revising some CSS which causes problems in
Internet Explorer:

- User sidebar menu tabs in the OPAC
- Sidebar menu tabs in the staff client (circ, catalog, etc)
- List edit/delete buttons in the OPAC (when viewing the
  list of lists and viewing a list itself).

Also fixed is the sprite positioning for the "new list"
link which showed the wrong icon.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

I tested this in Firefox, and Chromium and it didn't break anything,
I trust it works for IE too.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 5 Jared Camins-Esakov 2012-11-30 03:18:32 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2012-11-30 07:18:19 UTC
Pushed to 3.10.x, will be in 3.10.1